Uploaded image for project: 'Zeppelin'
  1. Zeppelin
  2. ZEPPELIN-4378

Change Cassandra interpreter to use Java Driver 4.x

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.9.0
    • Fix Version/s: 0.9.0
    • Component/s: Interpreters
    • Labels:
      None

      Description

      DataStax drivers team released the new major version of the driver at the begin of 2019th - version 4. The new version makes driver more modular, brings more functionality and stability. The existing driver (3.x) is put into maintenance mode, so it won't receive new functionality - only bug fixes. The new driver also deprecates very outdated versions of Cassandra (older than 2.1).

      It would be nice to discuss the possibility of migrating Cassandra interpreter to a new driver.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                alexott Alex Ott
                Reporter:
                alexott Alex Ott
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 1h
                  1h